﻿CRAFTBOT_VERSION = "1.2.5"

CRAFTBOT_MENU = "CraftBot"
CRAFTBOT_LABEL = "CraftBot: "

CRAFTBOT_ON = "CraftBot is On"
CRAFTBOT_OFF = "CraftBot is Off"
CRAFTBOT_WELCOME = "Welcome to %s\'s %s Shoppe!"
CRAFTBOT_LIMIT = "Results limit: %d"
CRAFTBOT_RESET = "Data resetted for "..UnitName("player")
CRAFTBOT_RESET_ALL  = "Data resetted for all your characters"
CRAFTBOT_RESET_MSG  = "Messages resetted"
CRAFTBOT_IGNOREPROFESSIONS = "Ignoring '%s'"
CRAFTBOT_ID = "ID: %d"
CRAFTBOT_LINK = "Link: %s"

CRAFTBOT_MENU_ENABLE = "Start"
CRAFTBOT_MENU_OPTION = "Options"
CRAFTBOT_MENU_LIMIT = "Result Limit"
CRAFTBOT_MENU_REFINE = "Refine Reagents"
CRAFTBOT_MENU_SILENT = "Silent"
CRAFTBOT_HINT = "Left-click to configure"

CRAFTBOT_WHISPERCMD = "!cb"
CRAFTBOT_WHISPERCMD_HELP = CRAFTBOT_WHISPERCMD.."help"
CRAFTBOT_WHISPERCMD_SEARCH = CRAFTBOT_WHISPERCMD.."search"
CRAFTBOT_WHISPERCMD_REAGENTS = CRAFTBOT_WHISPERCMD.."mats"
CRAFTBOT_WHISPERCMD_USE = CRAFTBOT_WHISPERCMD.."use"

CRAFTBOT_RESULT = "[%d.%d.%d] %s"
CRAFTBOT_RESULT_QTY = CRAFTBOT_RESULT .. " Qty: %s"
CRAFTBOT_RESULT_QTY2 = CRAFTBOT_RESULT_QTY .. "min/%smax"
CRAFTBOT_RESULTS_OK = CRAFTBOT_WHISPERCMD_SEARCH.." request on '%s' by [|Hplayer:%s|h%s|h]. %d results found."
CRAFTBOT_RESULTS_NOK = CRAFTBOT_WHISPERCMD_SEARCH.." request on '%s' by [|Hplayer:%s|h%s|h]. No result found."
CRAFTBOT_RESULTS2_OK = CRAFTBOT_WHISPERCMD_USE.." request on '%s' to [|Hplayer:%s|h%s|h]. %d results found"
CRAFTBOT_RESULTS2_NOK = CRAFTBOT_WHISPERCMD_USE.." request on '%s' to [|Hplayer:%s|h%s|h]. No result found"
CRAFTBOT_RESULTS_HELP = CRAFTBOT_WHISPERCMD_HELP.." request on '%s' by [|Hplayer:%s|h%s|h]."
CRAFTBOT_RESULTS_LEVEL = " Level %d to %d."

CRAFTBOT_TOOLTIP_SKILL = "%s: %d"
CRAFTBOT_TOOLTIP_LOCALIZATION = {
	{"WARNING!", 1, 0, 0},
	{"Change only if you know what you are doing.", 1, 1, 1},
	{"Hint: Press ENTER to save", 0, 1, 0},
}
CRAFTBOT_TOOLTIP_LIMIT = {
	{"Sets the maximum number of results returned for each search.", 1, 1, 1},
	{"To remove limit, set to 0.", 1, 1, 1},
	{"Hint: Press ENTER to save", 0, 1, 0},
}
CRAFTBOT_TOOLTIP_IGNOREDPROFESSIONS = {
	{"Enter a comma delimited list of professions you which to ignore e.g. Cooking, First Aid", 1, 1, 1},
	{"Hint: Press ENTER to save", 0, 1, 0},
}

CRAFTBOT_SMODE_LABEL = "Search Mode: "
CRAFTBOT_SMODE_SILENT_LABEL = "Silent Mode: "
CRAFTBOT_SMODE_FACTION_LABEL = "Faction Mode: "
CRAFTBOT_SMODE_REFINE_LABEL = "Refine Reagents Mode: "
CRAFTBOT_SMODE_REFINE = "Refine Reagents"
CRAFTBOT_SMODE_PLAYER = "Player"
CRAFTBOT_SMODE_REALM = "Realm"
CRAFTBOT_SMODE_XREALM = "XRealm"
CRAFTBOT_SMODE_OFF = "Off"
CRAFTBOT_SMODE_ON = "On"
CRAFTBOT_SMODE_FACTION = "Faction"
CRAFTBOT_SMODE_SILENT = "Silent"
CRAFTBOT_SMODE_MM = "Minimap"

CRAFTBOT_SCAN_COMPLETE = "Scan completed"
CRAFTBOT_SCAN_ERROR = "Scan completed (%d errors)"
CRAFTBOT_SCAN_FORCE = "Forced scanning of %s"
CRAFTBOT_SCAN_FORCE_IGNORED = "%s is ignored"
CRAFTBOT_SCAN_FORCE_UNKNOWN = "Tradeskill is not opened or unknown"

CRAFTBOT_HELP = "Whisper me \""..CRAFTBOT_WHISPERCMD_SEARCH.."\" and part of craft's name/desc/category (epic, felcloth, consumable) e.g. \""..CRAFTBOT_WHISPERCMD_SEARCH.." %s\". Whisper me \""..CRAFTBOT_WHISPERCMD_USE.."\" and reagent name for recipes that use reagent e.g. \""..CRAFTBOT_WHISPERCMD_USE.." %s\""
CRAFTBOT_HELP_MAT = "Click links for reagents or whisper me \""..CRAFTBOT_WHISPERCMD_REAGENTS.." <number>\" e.g. \""..CRAFTBOT_WHISPERCMD_REAGENTS.." 1.2.3\"!"
CRAFTBOT_HELP_NOK = "No matches found for that query, try refining your request. Whisper me "..CRAFTBOT_WHISPERCMD_HELP.." for help."
CRAFTBOT_HELP_TOO_MANY = "There are more than %d matches, try refining your request. Whisper me "..CRAFTBOT_WHISPERCMD_HELP.." for help."

CRAFTBOT_MAT_OK = "Sending reagent list of '%s' to [|Hplayer:%s|h%s|h]."
CRAFTBOT_MAT_NOK = "Sending reagent list of '%s' to [|Hplayer:%s|h%s|h] failed."
CRAFTBOT_MAT_LIST = "Reagents for %s :"

CRAFTBOT_LABEL_HEADER = "CraftBot Options"
CRAFTBOT_LABEL_LOCALIZATION = "Messages:"
CRAFTBOT_LABEL_IGNORED_PROFESSIONS = "Ignored Professions:"
CRAFTBOT_LABEL_LIMIT = "Limit:"
CRAFTBOT_LABEL_SEARCH = "Search:"

CRAFTBOT_HELP_DIALOG = [[

Slash Commands (|cffffffff/cb|r or |cffffffff/craftbot|r):
|cffffffff'/cb ( on | off )'|r - Toggles CraftBot on or off.
|cffffffff'/cb help'|r - Toggles this help dialog.
|cffffffff'/cb send <wim | clipboard | player name | channel name> <number | craft link | unique keyword>'|r - Sends first matching craft link and reagent list to player. e.g. /cb send krakhaan mooncloth bag (abbreviation /cb s)
|cffffffff'/cb sendl <wim | clipboard | player name | channel name> <number | craft link | unique keyword>'|r - Sends list of matching craft links to player. e.g. /cb sendl krakhaan bag (abbreviation /cb sl)
|cffffffff'/cb sendr <wim | clipboard | player name | channel name> <reagent link | name>'|r - Sends recipe that uses specified reagent to player. e.g. /cb sendr krakhaan bolt of mageweave (abbreviation /cb sr)
|cffffffff'/cb who <craftlink | unique keyword>'|r - Print the name and realm of the toon that can make matching craft.
|cffffffff'/cb scan'|r - Scans the current open tradeskill window.
|cffffffff'/cb reset'|r - Clears crafting data for current character.
|cffffffff'/cb resetall'|r - Clears crafting data for all characters.
|cffffffff'/cb resetmsg'|r - Use default messages.
|cffffffff'/cb option'|r - Toggles CraftBot options interface. (abbreviation /cb o)
|cffffffff'/cb id <item link>'|r - Prints id of item link.
|cffffffff'/cb link <item id>'|r - Prints link of item id.
|cffffffff'/cb limit <number>'|r - Sets the maximum number of results returned for each search (defaults to 10). To remove limit, set limit to 0. (abbreviation /cb l)
|cffffffff'/cb silent ( on | off )'|r - Toggles if incoming queries and outgoing replies are shown. Defaults to on.
|cffffffff'/cb refine ( on | off )'|r - Toggles if reagents' reagents are return (search and faction options apply). Defaults to off. (abbreviation /cb r)
|cffffffff'/cb minimap (on | off )'|r - Toggles display of minimap icon (abbreviation /cb mm)
|cffffffff'/cb search ( player | realm | xrealm )'|r - Toggles search mode where,
	player - searches only current player data
	realm - searches all characters' data in the current realm (default)
	xrealm - searches all
|cffffffff'/cb faction ( on | off )'|r - Toggles if search includes all factions or current faction, only applicable in realm/xrealm modes, where,
	on - searches only characters of the same faction (default)
	off - searches any characters of any faction
, where <channel name> is either SAY, YELL, GUILD, PARTY, RAID or OFFICER or abbreviations of either S, Y, G, P, R or O respectively, 
<wim> may be abbreviated as w and
<clipboard> may be abbreviated as c.

Whisper Commands:
|cffffffff!cbhelp|r - Replies with welcome message and provides simple guidance to making a query.
|cffffffff!cbsearch ( category | item link | keyword | key phrase )|r - Replies with matching recipes and [x.y.z] indices.
|cffffffff!cbmats x.y.z|r - Replies with material list for item with matching indices.
|cffffffff!cbuse ( reagent name | reagent link )|r - Replies with matching recipes that use specified reagent and [x.y.z] indices.

]]
